package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.QuestionCategory;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【question_category(问题分类表)】的数据库操作Service
* @createDate 2025-06-13 11:29:01
*/
public interface QuestionCategoryService extends IService<QuestionCategory> {


    /**
     * 根据分类ID查询分类信息
     * @param categoryId 分类ID
     * @return 分类信息
     */
    QuestionCategory findCategoryById(String categoryId);
}
