package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.QuestionHandlerMapping;
import com.baomidou.mybatisplus.extension.service.IService;

/**
* @author Administrator
* @description 针对表【question_handler_mapping(问题处理器映射表)】的数据库操作Service
* @createDate 2025-06-13 11:29:01
*/
public interface QuestionHandlerMappingService extends IService<QuestionHandlerMapping> {


    /**
     * 根据问题分类ID查询对应的处理器映射
     * @param categoryId 问题分类ID
     * @return 处理器映射
     */
    QuestionHandlerMapping findHandlerByCategoryId(String categoryId);

}
