package com.supervision.pdfqaserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.QuestionCategory;
import com.supervision.pdfqaserver.service.QuestionCategoryService;
import com.supervision.pdfqaserver.mapper.QuestionCategoryMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【question_category(问题分类表)】的数据库操作Service实现
* @createDate 2025-06-13 11:29:01
*/
@Service
public class QuestionCategoryServiceImpl extends ServiceImpl<QuestionCategoryMapper, QuestionCategory>
    implements QuestionCategoryService{

    @Override
    public QuestionCategory findCategoryById(String categoryId) {
        return super.getById(categoryId);
    }
}




