package com.supervision.pdfqaserver.mapper;

import com.supervision.pdfqaserver.domain.NodeRelationVector;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

/**
* @author Administrator
* @description 针对表【node_relation_vector(节点关系向量表)】的数据库操作Mapper
* @createDate 2025-06-18 13:38:02
* @Entity com.supervision.pdfqaserver.domain.NodeRelationVector
*/
public interface NodeRelationVectorMapper extends BaseMapper<NodeRelationVector> {

    List<NodeRelationVector> findSimilarByCosine(float[] embedding, double threshold, List<String> contentType, int limit);

    Double matchContentScore(float[] embedding, String content);
}




