package com.supervision.pdfqaserver.mapper;

import com.supervision.pdfqaserver.domain.TextVector;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.pdfqaserver.dto.TextVectorDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【text_vector(文本向量表)】的数据库操作Mapper
* @createDate 2025-06-11 16:40:57
* @Entity com.supervision.pdfqaserver.domain.TextVector
*/
public interface TextVectorMapper extends BaseMapper<TextVector> {

    List<TextVectorDTO> findSimilarByCosine(@Param("embedding")float[] embedding,
                                            @Param("threshold") double threshold,
                                            @Param("categoryId")  String categoryId,
                                            @Param("limit")int limit);
}




