package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.TextVector;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.TextVectorDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【text_vector(文本向量表)】的数据库操作Service
* @createDate 2025-06-11 16:40:57
*/
public interface TextVectorService extends IService<TextVector> {

    List<TextVectorDTO> findSimilarByCosine(float[] embedding, double threshold , int limit);
}
