package com.supervision.pdfqaserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.TextVector;
import com.supervision.pdfqaserver.dto.*;
import com.supervision.pdfqaserver.service.TextVectorService;
import com.supervision.pdfqaserver.mapper.TextVectorMapper;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import java.util.List;

/**
* @author Administrator
* @description 针对表【text_vector(文本向量表)】的数据库操作Service实现
* @createDate 2025-06-11 16:40:57
*/
@Service
@RequiredArgsConstructor
public class TextVectorServiceImpl extends ServiceImpl<TextVectorMapper, TextVector>
    implements TextVectorService{
    @Override
    public List<TextVectorDTO> findSimilarByCosine(float[] embedding, double threshold , int limit) {
        return super.getBaseMapper().findSimilarByCosine(embedding, threshold,null,limit);
    }
}




